## 游戏角色姓名及聊天检查服务游戏接入
游戏异步调用用Post方式查询
### 1) 请求实名状态

>https://cid.gzyouai.com/api/v2/default/filter

#### 调用方式：HTTP POST

#### 接口描述：


#### 请求参数:

##### POST参数:
| 字段名称 |                         字段说明                          |  类型  | 必填 | 备注 |
| -------- | :-------------------------------------------------------: | :----: | :--: | ---: |
| content      | 检测内容 长度限制30 | string |  Y   |     |
| key      | 公共接口分配的游戏项目参数 | string |  Y   |    - |



### 请求返回结果:

```
//请求返回信息 code == 200 没包含不正确字符串， code = 10005 包含，data 为过滤后内容，非法标点符号会被自动过滤
{"code":200,"msg":"ok","data":"原请求内容"}
{"code":10005,"msg":"共建更好交流环境","data":"ddfsf**dsfddsfd**鱼**"}
```

#### 返回结果:
| 字段名称 | 字段说明 |  类型  | 必填 |                                  备注 |
| -------- | :------: | :----: | :--: | ------------------------------------: |
| code     |   状态   | string |  Y   |             200不含/10005 含不正确字符串 |
| data     |   内容   |  json  |  Y   | 过滤后内容，非法标点符号会被自动过滤|
| msg      | 提示信息 | string |  Y   |                                       |

#### 例子：
```
curl -X POST https://cid.gzyouai.com/api/v2/default/filter -d 'content= ddfsf 网/* 管dsfd dsfd&key=cda56c8c89fbdc38adc51bb42dc3eb8d'
```