[TOC]

## 提问模板
 - 需要`运营`按模板提供以下信息
   - 一般回调地址已经包含项目所有信息

	```
	 紧急程度: [一般|紧急]
	 参数自检: [是|否]
	 提供游戏渠道
	 问题描述述:
	 ```


### 常见问题处理
1.sign错误
```
是否更改poolsdk.xml 为正式参数，没有请找对应运营人员申请
```


## 1.魅族 ##

### 调试登录时，提示“游戏不存在”或“游戏签名不正确” ###

SDK 服务端会对参数作必要的校验，校验不通过则有此提示

1、联系运营检查该游戏是否打开了联调状态

2、联系运营检查是否创建了该游戏

3、上架后的游戏需要从游戏中心下载 APK 包进行安装

## 2.搜狗 ##

###  参数QQ_APPID要自行到QQ开放平台申请手Q ID  ###

签名必须跟应用宝YSDK一致

## 3.华为 ##

### 需要母包删除 libs 中的 YouaiSDK.jar 再打包 ###

## 4.三星 ##

### 参数 waresid 为商品ID，需去三星后台设置为应用传入价格 ###

1. 出现“The signature of this application is not registered the server”这样的错误
a)`保证用对了三星的appid,appsecret，这两个参数是必须向三星申请的`，申请渠道：Jisun Seo(jisun.seo@samsung.com),Chris Lee (kt85.lee@samsung.com)
b)`三星的appid必须绑定cp自己的包名`，在申请上面两个参数的时候，要把自己的要发布的包名和签名发给你三星，让他们绑定，再绑定之前或是你调试的时候是不能用的
c)必须用发布的包，不能用直接在eclipse或android studio中run的包

2. 进不去收银台，出现“您已取消授权”这样的提示
a)`确保您用的是三星手机，因为这版支付sdk是定制在三星手机的，必须用三星手机调试或测试及使用。`
b)三星账号过期的时候要重新登录
c)在账号登录界面你点击了取消或返回按钮也会有这样的提示
PS: 从V2.0.0版本以后提示已经更新为”请确认已使用三星手机，并已登录三星账号”

3. 进不去收银台，出现“账户管理器中已存在三星账户”这样的提示
a)检查你的清单文件中是否已经注册了账户权限
<uses-permission android:name="android.permission.GET_ACCOUNTS"/>

4. 手机支持Samsung Pay但是在收银台使用Samsung Pay支付时提示“手机不支持Samsung Pay”
进入SamsungPay App设置密码添加一张可用的银行卡即可。

## 5.联想 ##

### waresid请到联想后台申请商品编码（使用开放价格模式） ###


## 6.UC ##

### 提交角色信息接口 ###

PoolSdkHelper.submitRoleData接口中的角色创建时间和角色等级变化时间需传正确的值，否则不过审

poolRoleInfo.setRoleChangeTime();//角色等级变化时间

poolRoleInfo.setRoleCTime();//角色创建时间

## 7.酷派 ##

### platPublicKey平台公钥默认值 ###

```
MIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQDLx50R+CpH6VD/EfavOTpHOydfAQVjvm/h/SGG/RbM/03ZDfk8JrgezyFwqX06pjKevHZz66Umoq1/3Z9oqhBlJezsM03q2woKbReGSKAPQSkuJg2FY6DdZ1v1gMuCRtF6WOHV7n2TbUvRhZugMpx8PJEV+r6Qf1L41Gt8w6FN8wIDAQAB
```

如渠道有提供以提供为准，没有填默认值

## 8.应用宝YSDK ##

### 请保留好在应用宝后台申请时使用的签名文件，打包时需使用一致的 ###


## 9.OPPO ##

### publicKey应用公钥 ###

```
MIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQCmreYIkPwVovKR8rLHWlFVw7YDfm9uQOJKL89Smt6ypXGVdrAKKl0wNYc3/jecAoPi2ylChfa2iRu5gunJyNmpWZzlCNRIau55fxGW0XEu553IiprOZcaw5OuYGlf60ga8QT6qToP0/dpiL/ZbmNUO9kUhosIjEu22uFgR+5cYyQIDAQAB
```

如渠道有提供以提供为准，没有填默认值

## 10.HTC ##

### joloPrivateKey私钥 ###

- "HTC秘钥生成工具与文档"

[https://pan.baidu.com/s/1dE7FSm1](https://pan.baidu.com/s/1dE7FSm1 "HTC秘钥生成工具与文档")

强烈建议找渠道技术帮忙生成


## 11.卓易 ##

### 1.注册账号时输入的账号密码文字颜色和输入框底色相同 ###
把<Application>的theme改成android:theme="@android:style/Theme.Black.NoTitleBar" 

或者把Activity的theme改成android:theme="@android:style/Theme.Black.NoTitleBar"


### 2.集成到游戏后，发现卓易悬浮图标点击没反应 ###

如果是Unity3D的游戏的话，由于Unity3D和Android之间的事件冲突，导致Android事件得不到响应。

解决办法是，需要将游戏的主Activity（游戏入口）默认继承的NativeActivity或UnityPlayerNativeActivity改为继承Activity，把UnityPlayerNativeActivity里面的方法（如下图所示）拷贝到主Activity。

现在最新Unity3D版本游戏入口也是默认继承Activity。

![](http://i.imgur.com/SlVKWAp.png)

## 12.打包 ##

参数提前确定准备好，尤其是icon，闪图那些 

填写某渠道参数时，请牢记到对应渠道后台填写充值回调地址


## 13.多玩YY ##

### 支付时显示支付未成功，appid不存在 ###

因为签名不正确，在游戏提交后联运管理台后，会重新打包签名。（如不了解请与渠道联系）

## javax.net.ssl.SSLHandshakeException: Chain validation failed 报错时 ##
检查下本地手机时间是否正常，是否有代理或者安装其他证书


## 14.360 ##

### 支付时显示Mobile pay signature invalid ###

后台填写的 QHOPENSDK_PRIVATEKEY 参数错误导致，注意此处 private_key，不是app_secret，其生成算法为 app_secret +”#”+ app_key 的加密MD5值，结果为32位全小写（http://pmd5.com/ 在线计算MD5）

![](https://i.imgur.com/JrsLmBZ.png)

如图，替换自己的 app_secret 和 app_key 即可