### 公共SDK登录流程图
```seq
游戏客户端->公共SDK客户端:调用登录
公共SDK客户端->渠道客户端:调用登录
渠道客户端->渠道服务端:请求登录
渠道服务端->渠道客户端:返回token,openid
渠道客户端->公共SDK客户端:透传参数
公共SDK客户端->公共SDK服务端:发送token,openid等做登录校验
公共SDK服务端->公共SDK客户端:验证结果,返回渠道openid,和公共SDK的serverSign
公共SDK客户端->游戏客户端:openId,serverSign
游戏客户端->游戏服务端:游戏服务端验证公共SDK的serverSign
游戏服务端->游戏客户端:验证成功,登录游戏
```

------------




### 公共SDK充值流程图
```seq
游戏客户端 -> 公共SDK客户端:调用支付
公共SDK客户端->公共SDK服务端:创建订单
公共SDK服务端->公共SDK客户端:返回订单号
公共SDK客户端->渠道客户端:调用渠道SDK支付接口
渠道客户端->渠道服务端:处理支付
渠道服务端-->公共SDK服务端:异步通知支付信息
公共SDK服务端-->游戏服务端:异步通知游戏服务器支付信息
游戏服务端->公共SDK服务端:发放游戏币返回处理结果
```