## 1、熟悉公共后台使用(运营)
- 文档地址
http://docs.tech.gzyouai.com/docs/publicsdk/publicsdk-1b9t4amlo5u48

## 2、在公共后台出对应配置文件(运营)
- 首先使用公共给的账号登录，然后创建对应的游戏版本(具体使用查看1步骤文档)
- 添加对应渠道(参数由公共平台提供)
	- android/ios平台需要在对应游戏版本中添加公共sdk，填写对应参数，完成后下载对应配置文件(poolsdk.xml/pool_setting)给对接技术,技术在对接中使用

	- h5平台在对应游戏版本中添加公共h5sdk,填写对应参数，完成后复制生成的H5生成地址给对接技术(此地址用于后面技术对应完聚合h5 sdk后进行测试联调)

`注：详细操作步骤文档:`
http://docs.tech.gzyouai.com/docs/publicsdk/publicsdk-1bvf6mcpaealh

## 3 对接公共sdk(技术)
 - 下载公共sdk对接资源文档
	- Android下载地址：
http://gitlab.9133.com:10080/public_service/public_sdk_android/tree/master
	- h5下载地址:
	http://gitlab.9133.com:10080/public_service/public-js-doc/tree/master
 - 找运营拿对应平台的配置文件(运营在步骤2中获取)
	- Android平台拿配置文件poolsdk.xml用于对接中替换(具体可查看对接文档)
	- h5平台拿生成的测试地址，用于接入测试联调
 - 熟悉公共sdk对接流程图，下面为流程图地址:
 http://docs.tech.gzyouai.com/docs/publicsdk/publicsdk-1b5h0te539nbs
 - 开始对接聚合sdk(有问题接入群沟通)
 - 联调测试各个接口功能(有问题接入群沟通)
 - 各个接口调通后出个母包给公共测试，公共会测试调用接口情况进行测试
 - 公共测试通过后，安卓生成母包给运营，h5直接告诉运营出对应渠道短链

## 4 打渠道包(运营)
- Android平台
  - 拿到技术对接了公共sdk的母包
  - 公共后台对应游戏版本中添加要打的渠道，填写对应参数(参数由对应渠道提供)，具体可查看步骤1的使用文档
  - 熟悉打包工具使用
  	文档地址：
	http://docs.tech.gzyouai.com/docs/publicsdk/publicsdk-1b7mc1ma229jo
  - 使用打包工具出对应渠道包
  - 打出渠道进行测试
  - 测试完成给包渠道
- h5平台
	- 公共后台对应游戏版本中添加要打的渠道，填写对应参数(参数由对应渠道提供)，具体可查看步骤1的使用文档
	- 获取填写后的H5生成地址给渠道
	![](/uploads/publicsdk/images/m_e9d495936cc9ed0e7e0d5d7f10f5d646_r.png)