## 新接入游戏母包测试
运营在拿到游戏提供对接完成公共SDK之后的apk（以下称为母包）先进行一轮正常的流程测试

#### 1. 登录界面是否正常打开，是否能过正常登录进入游戏
![](/uploads/publicsdk/images/m_3afdbedc09c3fb8ad564aec590dd3f98_r.png)

#### 2. 公共SDK在母包会登录之后会有一个红色的悬浮标（仅测试显示）点击可查看到母包各个接口的调用情况
![](/uploads/publicsdk/images/m_b29ba39fdc0edccd6ff7d98c3d6797be_r.png)
![](/uploads/publicsdk/images/m_aa9406f2ac20d2198f5a6b2923dd0aa0_r.png)

#### 3. 接口测试

其中 `onPause、onStop、onResume、onRestart、onStart` 需要在游戏中`按一次home键`回到桌面再回来游戏才可以测试
`onDestroy 是结束游戏调用（运营无须关注）`

`进入游戏` 接口对应公共后台的角色信息接口

运营需要核对游戏传入的角色参数是否正确（有无角色名等等） 和 公共后台是否能查到相关角色信息

如果确认游戏调用 进入游戏 但是公共后台无数据请反馈到公共SDK技术这边检查

#### 4. 支付测试

测试支付是否正确调起（需先在公共后台配置`IP白名单`）
![](/uploads/publicsdk/images/m_0a48c7d745d122cc7910cb1b6f8e97be_r.png)
点击进行沙箱支付游戏是否到账
![](/uploads/publicsdk/images/m_9f4b3a2d59d5b09ada4717d8b562f054_r.png)

另：如果游戏调用 `创建角色` 接口后没有重新 `进入游戏` 接口的话，是无法调起支付的
顺序不能反！！！