## 1. 打包9133带OAID版本SDK事项

![](/uploads/publicsdk/images/m_022b9f7706d013ad6352a5b523482cf0_r.png)

`2.0以上OAID SDK需要一个包名对应一个证书才可以调用`

#### 1. 证书的获取申请（联系运营 `赵艳`）
```java
证书需要填写 example_batch.csv 后发送到 msa@caict.ac.cn 申请
注意每个包名对应一个签名，申请时需要将所需申请的全部包名填写到表格中。
```

#### 2. 打包事项
把对应的包名的证书文件放到SDK assets资源文件夹

![](/uploads/publicsdk/images/m_80466d21f8f88d7f28a0d43721c591fa_r.png)

#### 3. 核对文件名跟公共后台配置是否对应

`注意文件名带后缀`

如 com.youai.dayu.yzbxy.cert.pem

对应后台参数

![](/uploads/publicsdk/images/m_aa577e21f7baf2ff9fb80096b61ee6d9_r.png)

#### 4. 测试

以上操作跟参数都核对无误之后打包测试

在公共后台的`角色日志`表中的`其他`信息的`第五项`代表客户端的`oaid`获取，如果常见的手机测试都能获取到oaid代表以上操作都无误

![](/uploads/publicsdk/images/m_f64409b8fea425c0c18516f7abccb4a0_r.png)

![](/uploads/publicsdk/images/m_d531a5833ac63b03402ddb9e964dd0e0_r.png)

#### 5. 头条SDK测试

核对头条后台联调的appid跟公共后台的头条appid是否一致

联调测试 查看 激活、注册、充值事件是否上报成功 金额是否正确