[TOC]

# SDK充值常见故障处理
## 获取问题反馈地址
　每一个渠道包，都带有一个独立的问题反馈地址，`运营`在填写完sdk参数之后，自动生成，运营可以单独保存地址到本地。当需要技术协助的时候，右键复制链接地址把地址填写到提问信息里面，取代以前的充值回调地址。
	 ![](/uploads/publicsdk/images/m_e6da0040b76691a24b6afbb6b0df77e2_r.png)


## 提问模板
 - 需要`运营`按模板提供以下信息

	```
	 紧急程度: [一般|紧急]
	 参数自检: [是|否]
	 上线:[是|否]
	 问题类型: [充值|登录|接入]
	 服务端参数：充值问题时提供
	 问题反馈地址: 
	 问题描述述:
	 ```

　　

## 问题反馈例子
  - 如
   ```
  紧急程度: 紧急
 参数自检: 是
 上线: 否
 问题类型: 充值
 服务端参数：
 问题反馈地址: 获取位置请看上图
 问题描述述: 充值不到账，客户端问题，请把客户端日志放在这里

	 ```

### sdk登录失败，在后台没有登录日志
1. 检查服务端参数是否填写
2. 点击更新sdk配置
3. 按照模板反馈给平台技术

   
### 游戏登录失败，游戏登录校验不通过
1. 检查字段大小写是否正确
2. 检查签名串是否正确，字段顺序是否一致
3. 检查是否编码导致签名不一样
3. 检查用户类型是否一致
4. 检查加密的密钥是否使用正确和是否提供正确 （后台是否配置正确）
5. 算法和文档是否一致　[服务端对接文档](http://gitlab.9133.com/sdk_9133/sdk_public_android/blob/master/doc/%E5%85%AC%E5%85%B1SDK%E6%9C%8D%E5%8A%A1%E7%AB%AF%E6%8E%A5%E5%85%A5%E6%96%87%E6%A1%A3.md "服务端对接文档")
   
### 充值成功，后台没有订单(调试阶段，游戏没上线)
1. 检查服务端参数是否填写
2. 检查渠道回调地址是否填写
3. 按照模板反馈给平台技术


### 批量玩家充值失败，后台没有订单(上线阶段)
1. 和渠道确认参数有没有修改
2. 反馈信息标记已上线
2. 按照模板反馈给平台技术

### 后台有订单号，但游戏充值不到账
1. 公共平台作为渠道和游戏中间的连接体，只负责接收渠道的充值成功信息，并将接收到充值信息通知游戏。
2. 充值金额，订单号以渠道实际通知为准。
3. 在这过程中间可能会出现，渠道通知金额和游戏创建订单时输入的金额不符、一笔游戏订单多次重复充值等情况。
4. 部分游戏可能可以正常处理，但校验严格的游戏可能会不到账。这种情况需要`运营`通知`游戏`,游戏手动补单到账。
5. 后台不提供修改订单，补发功能