[TOC]


# [首先 下载打包工具 点击下载](http://gitlab.9133.com/public_service/public_sdk_newtools_res/raw/master/%E6%89%93%E5%8C%85%E5%B7%A5%E5%85%B77.7.zip "点我下载")

## 1. 登陆需要打包对应的平台

![](/uploads/publicsdk/images/m_6b8bfd6cff2e7461571a05d383ae055f_r.png)

## 2. 选择需要打包的游戏项目和SDK版本

![](/uploads/publicsdk/images/m_8f5bbfee89d10af8c20a59cc311eb159_r.jpg)


## 3. 注意各种素材文件的路径不要有空格和特殊符号，打包报错请发送打包日志给相关技术
## 4. 小工具里面的工具``有需要的``请自行愉快使用

![](/uploads/publicsdk/images/m_87be826dca1f3bce9399c4fe8f6c7540_r.png)

## 5. 查看页面可以查看APK信息（打包后可以查看到底你填的参数有没有错误）

![](/uploads/publicsdk/images/m_3c5ab51e6bedf906ead1c382fe24e9e5_r.png)

## 6. 批量打包要用``打出渠道包当母包``，只支持修改渠道号，渠道标识1，渠道标识2，表格模板在帮助页面有，``批量打包的签名在打包配置页面配置，如无配置则使用全局默认签名`` 

![](/uploads/publicsdk/images/m_456f318d68df499d922044aaea4ec56d_r.png)

## 7. 其他相关帮助说明请查看帮助页面

## 8. 打包额外配置说明 `（大部分情况默认值就好，有需要技术会与你告知）`


~~1. 整合（5.0版本开始打包工具添加res资源整合方案，母包跟渠道资源冲突时，优先使用母包资源）~~

~~2. 不优化（打包工具默认使用zipalign对回编译后apk进行优化，打钩后则不优化）~~

~~3. 不改Unkonwn文件夹（打包工具默认回编译后再复制unknown文件进apk）~~

4. 压缩（打包工具默认将assets文件夹不压缩处理，避免打包后游戏CG、音频无法播放）
如果觉得打包后包体太大，请勾选，但是又有例外的文件不压缩，`勾选压缩选项`，上面yml配置选择例外文件，格式为下图

```
注意 target>=30的母包 需要加上

- arsc
```

![图2](/uploads/publicsdk/images/m_023660856e94ec2deff47f3807d6040b_r.jpg)
![图3](/uploads/publicsdk/images/m_cd8ea63e10647f812e5a2ce4f49a74d3_r.png)

5. 忽略assets（当母包assets文件数量过多、文件名过长，造成回编译时超出CMD命令长度而失败，请打钩）

6. 显示Log（打包后默认公共层SDK的Log输出关闭）

7. 母包public（默认资源整合时，会删除母包public.xml以提高合并效率，如果母包资源ID写死的请保留）

~~8. 渠道public（默认资源整合时，会删除渠道SDK的public.xml以提高合并效率，但是如果渠道是用固定包名获取资源ID的方式请保留）~~

~~`9. 旧母包（因历史原因遗留下聚合的打包方式，使用于同时2个平台接入，后面不在维护，所以保留聚合打包方式入口）`~~

10. 兼容模式（6.3版本后默认aapt2打包方式，勾选使用aapt1进行打包）

11. V2签名（上谷歌应用商店才勾选，国内不用勾选，打包工具默认用V1 jarsigner签名方式，勾选后使用apksigner V2签名方式`！注意！V2方式无法使用投放计划服务端注释apk包修改渠道号的功能！`）


## 9. 补丁包的使用方法

如果需要在打包时添加或替换assets文件可使用该功能

![](/uploads/publicsdk/images/m_28c62a7d9665148991de023fdb5619f1_r.png)


## 10. pad包的使用方法(国内不用看)（Play Asset Delivery）

### 1. 因为谷歌后续使用aab+pad包的上传应用模式 `aab包 包含pad资源` 的格式如下

![](/uploads/publicsdk/images/m_aee492d49fc8e52239b519361ca0a575_r.png)

```java
其中
base 为母包资源
META-INF 为签名信息
BUNDLE-METADATA 为编译工具的信息
BundleConfig.pb 为aab包的编译信息
其他的文件夹 都是 pad 资源包
```

### 2. 生成打包工具可以使用的pad资源包

#### 2.1 请确保游戏提供的asset资源包格式如下

![](/uploads/publicsdk/images/m_460fa5ede1a519f7e1a88973696d831b_r.png)

**`压缩包的根目录文件夹为 assets ，资源都在文件夹内部`**
**`压缩包的根目录文件夹为 assets ，资源都在文件夹内部`**
**`压缩包的根目录文件夹为 assets ，资源都在文件夹内部`**

#### 2.2 打开打包工具工具页面 生成PAD资源包功能页

![](/uploads/publicsdk/images/m_1f4c2420ebabb1fe2b1e79c52d71a4ae_r.png)

`PAD资源文件名`填写游戏定义的PAD资源文件名，对应游戏pad工程 build.gradle 文件 `packName`

`分发模式`选择游戏PAD资源的分发模式，对应游戏pad工程 build.gradle 文件 `deliveryType`

运营如不清楚上面两项请询问游戏开发，下图为对应游戏pad工程参考

![](/uploads/publicsdk/images/m_cacc3df1eb328b0a50913788980f5e20_r.png)

#### 附 分发模式 解释

```java
install-time 资源包在用户安装应用时分发。这些资源包以拆分 APK（APK 集的一部分）的形式提供。它们也称为“预先”资源包；您可以在应用启动时立即使用这些资源包。这些资源包会增加 Google Play 商店上列出的应用大小。用户无法修改或删除这些资源包。

fast-follow 资源包会在用户安装应用后立即自动下载；用户无需打开应用即可开始 fast-follow 下载。下载过程中，用户仍然可以进入应用。这些资源包会增加 Google Play 商店上列出的应用大小。

on-demand 资源包会在应用运行时下载。
```

#### 2.3 如果游戏提供的母包是包含资源可以直接运行的母包（非小的apk跟pad压缩包）

- 先用以下小工具把母包拆分成 不含资源的 apk 和 pad资源压缩包
![](/uploads/publicsdk/images/m_34644be6bc1e6db47aef74dc4bec14b9_r.png)

- 再按照下面第三点 进行打包


### 3. 打包工具目前只支持 `apk母包+pad资源包` 打包生成 `aab(内置pad资源包)` 的方式

1. 将上一步中生成的PAD资源包保存（可支持不同的包名打包）

2. 与打包APK包的步骤一样，只需要把 aab 选项勾上，pad资源选择（支持多个文件选择）正常打包即可