## 区域匹配接口

### 1) 请求地址

>https://sdk.hahplatform.com/sdk/location?app_id=5ffd3ed2b6ee064e678d4a67

### 2) 调用方式：HTTP get

### 3) 接口描述：

* 服务端根据玩家IP匹配返回对应玩家区域的区服数据

### 4) 请求参数:

#### GET参数:
|字段名称       |字段说明         |类型            |必填            |备注     |
| -------------|:--------------:|:--------------:|:--------------:| ------:|
|app_id|sdk的appId参数|string|Y|-|



### 5) 请求返回结果:

```
{
    "code": 0,
    "msg": {
        "list": [
            {
                "url": "http://rose-static-test.hnwanqi.cn",
                "key": "AS",
                "title": "国服内测(亚洲)"
            },
            {
                "url": "http://rose-static-test.hnwanqi.cn",
                "key": "AS1",
                "title": "国服内测(亚洲)1"
            },
            {
                "url": "http://rose-static-test.hnwanqi.cn",
                "key": "AS2",
                "title": "国服内测(亚洲)2"
            }
        ],
        "match": {
            "url": "http://rose-static-test.hnwanqi.cn",
            "key": "AS",
            "title": "国服内测(亚洲)"
        },
        "kefu_info": [
            "客服服务中心："
        ]
    }
}
```


### 6) 请求返回结果参数说明:
|字段名称       |字段说明         |类型            |必填            |备注     |
| -------------|:--------------:|:--------------:|:--------------:| ------:|
|code|0:成功 其他失败|string|Y|-|
|msg|消息内容|string|Y|-|
|list|配置的大区列表数据|string|Y|-|
|url|大区地址|string|Y|-|
|key|大区key|string|Y|-|
|title|大区名称|string|Y|-|
|match|对应IP匹配到的区服数据|string|Y|-|
|kefu_info|客服信息|string|Y|-|